/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.2 Baustellensimulation
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.simbaustelle.prognose;

import de.bsvrz.sys.funclib.bitctrl.util.UndefiniertException;

/**
 * Schnittstelle zur Definition einer Klasse, die den zufliessenden Verkehr zu
 * einer Baustelle zu vorgegebenen Zeitpunkten liefern kann.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public interface ZufliessenderVerkehrSchnittstelle {

	/**
	 * liefert die Anzahl der Fahrzeuge pro Stunde für den gegebenen Zeitpunkt
	 * aus der ermittelten Ganglinie.
	 *
	 * @param zs
	 *            der gesuchte Zeitpunkt
	 * @return den Wert
	 * @throws UndefiniertException
	 *             der Wert konnte nicht ermittelt werden, weil keine
	 *             entsprechende Ganglinie zur Verfügung stand oder die
	 *             Ganglinie den Wret nicht geliefert hat.
	 */
	long getFzg(long zs) throws UndefiniertException;

}
