/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.2 Baustellensimulation
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.simbaustelle.simbaustelle;

import com.bitctrl.Constants;

import de.bsvrz.ibv.simbaustelle.prognose.ZufliessenderVerkehrSchnittstelle;

/**
 * Der zufließende Verkehr zur Testbaustelle laut Prüfspezifikation.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public class TestZufluss implements ZufliessenderVerkehrSchnittstelle {

	/**
	 * die Anzahl der Fahrzeuge für den zufließenden Verkehr für die jeweiligen
	 * Berechnungsintervalle.
	 */
	private final long[] ganglinie = { 0, 0, 516, 811, 671, 374, 117, 361, 572, 721, 167, 347, 0, 0, 472, 769, 689, 329,
			100, 348, 530, 748, 281, 340 };

	/**
	 * Die Funktion liefert für den entsprechenden Intervallschritt den
	 * vorgegebenen Wert.
	 */
	@Override
	public final long getFzg(final long zs) {
		return ganglinie[(int) (zs / Constants.MILLIS_PER_HOUR) / 2];
	}
}
